org.apache.xpath

## Interface XPathVisitable

All Known Implementing Classes:
  And, AttributeIterator, AxesWalker, BasicTestIterator, Bool, ChildIterator, ChildTestIterator, ContextMatchStepPattern, DescendantIterator, Div, Equals, Expression, FilterExprIterator, FilterExprIteratorSimple, FilterExprWalker, FuncBoolean, FuncCeiling, FuncConcat, FuncContains, FuncCount, FuncCurrent, FuncDoclocation, FuncDocument, FuncExtElementAvailable, FuncExtFunction, FuncExtFunctionAvailable, FuncFalse, FuncFloor, FuncFormatNumb, FuncGenerateId, FuncId, FuncKey, FuncLang, FuncLast, FuncLocalPart, FuncNamespace, FuncNormalizeSpace, FuncNot, FuncNumber, FuncPosition, FuncQname, FuncRound, FuncStartsWith, FuncString, FuncStringLength, FuncSubstring, FuncSubstringAfter, FuncSubstringBefore, FuncSum, FuncSystemProperty, Function, Function2Args, Function3Args, FunctionDef1Arg, FunctionMultiArgs, FunctionOneArg, FunctionPattern, FuncTranslate, FuncTrue, FuncUnparsedEntityURI, Gt, Gte, KeyIterator, KeyRefIterator, LocPathIterator, Lt, Lte, MatchPatternIterator, Minus, Mod, Mult, Neg, NodeSequence, NodeTest, NotEquals, Number, OneStepIterator, OneStepIteratorForward, Operation, Or, Plus, PredicatedNodeTest, Quo, ReverseAxesWalker, SelfIteratorNoPredicate, StepPattern, String, UnaryOperation, UnionChildIterator, UnionPathIterator, UnionPattern, Variable, VariableSafeAbsRef, WalkingIterator, WalkingIteratorSorted, XBoolean, XBooleanStatic, XNodeSet, XNodeSetForDOM, XNull, XNumber, XObject, XRTreeFrag, XRTreeFragSelectWrapper, XString, XStringForChars, XStringForFSB, XUnresolvedVariable, XUnresolvedVariableSimple

    public interface XPathVisitable

A class that implements this interface will call a XPathVisitor for itself and members within it's heararchy. If the XPathVisitor's method returns false, the sub-member heararchy will not be traversed.

### Method Summary

Methods
`void` `callVisitors(ExpressionOwner owner, XPathVisitor visitor)` This will traverse the heararchy, calling the visitor for each member.

### Method Detail

#### callVisitors

    void callVisitors(ExpressionOwner owner,
                    XPathVisitor visitor)

This will traverse the heararchy, calling the visitor for each member. If the called visitor method returns false, the subtree should not be called.

Parameters:
  `owner` - The owner of the visitor, where that path may be rewritten if needed.
  `visitor` - The visitor whose appropriate method will be called.